### Method

# Json Node set_string

#### Declaration [src]

    void
    json_node_set_string (
      JsonNode* node,
      const gchar* value
    )

#### Description [src]

Sets `value` as the string content of the `node`, replacing any existing content.

It is an error to call this on an immutable node, or on a node which is not a value node.

#### Parameters

`value`

  Type: `const gchar*`

  A string value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.